#
# spec file for package yast2-gpmc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-gpmc
Version:        1.4.1+git.10.c580bd9
Release:        1.63
Summary:        Group Policy Management Console for YaST
License:        GPL-3.0-only
Group:          Productivity/Networking/Samba
Url:            http://www.github.com/dmulder/yast2-gpmc
Source:         %{name}-v%{version}.tar.bz2
BuildArch:      noarch
Requires:       krb5-client
Requires:       python3-ldap
Requires:       samba-client
Requires:       samba-python3
Requires:       yast2
Requires:       yast2-python3-bindings >= 4.0.0
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  perl-XML-Writer
BuildRequires:  python3
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-testsuite
Provides:       yast-gpmc = %{version}
Obsoletes:      yast-gpmc < %{version}

%description
The Group Policy Management console for YaST provides tools for creating and
modifying Group Policy Objects in Active Directory.

%prep
%setup -q -n %{name}-v%{version}

%build
autoreconf -if

CONFIGURE_OPTIONS="\
%if 0%{?is_opensuse}
        --enable-experimental \
%else
        --disable-experimental \
%endif
"

%configure ${CONFIGURE_OPTIONS}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/YaST2/include/gpmc
%{_datadir}/YaST2/clients/gpmc.py
%{_datadir}/YaST2/include/gpmc/complex.py
%{_datadir}/YaST2/include/gpmc/dialogs.py
%{_datadir}/YaST2/include/gpmc/wizards.py
%{_datadir}/YaST2/include/gpmc/defaults.py
%{_datadir}/applications/YaST2/gpmc.desktop
%dir %{_datadir}/doc/yast2-gpmc
%{_datadir}/doc/yast2-gpmc/COPYING

%changelog
* Thu Nov  1 2018 dmulder@suse.com
- Disable experimental features in sle
* Tue Oct  9 2018 dmulder@suse.com
- v1.4.1: Switch package to py3
* Tue Aug  7 2018 dmulder@suse.com
- v1.4: Adds admx template support
* Tue May 29 2018 dmulder@suse.com
- v1.3.1: Lots of improvements and fixes, py3 compatability, etc.
* Fri Nov 17 2017 dmulder@suse.com
- v1.0
